<template>
  <div v-if="selectedThemeName === 'modern'">
    <PrivacyBMM1 v-if="isMobile" />
    <PrivacyBMD1 v-else />
  </div>
  <single-privacy-content
    v-else
    :keys="{ title: 'footer_menu_info_3', content: 'menu_content_3_1' }"
    class="help-center-page"
  />
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";
import PrivacyBMD1 from "@/components/theme/desktop/modern/privacy.client.vue";
import PrivacyBMM1 from "@/components/theme/mobile/modern/privacy.client.vue";

export default defineComponent({
  components: {
    PrivacyBMD1,
    PrivacyBMM1,
  },
  setup() {
    const isMobile = !useIsDesktop();
    const selectedThemeName = computed(() => store.state.selectedThemeName);
    return {
      isMobile,
      selectedThemeName,
    };
  },
});
</script>
